# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the terms described in the LICENSE file in
# the root directory of this source tree.

import streamlit as st

from llama_stack.distribution.ui.modules.api import LlamaStackApi


def shields():
    # Shields Section
    st.header("Shields")

    shields_info = {s.identifier: s.to_dict() for s in LlamaStackApi().client.shields.list()}

    selected_shield = st.selectbox("Select a shield", list(shields_info.keys()))
    st.json(shields_info[selected_shield])
